Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class Format

    java.lang.Object
      Biff
          jet.report.xls.Format

    public class Format

extends Biff

Format is abbreviation of Number Format Figure 2-2. Format record. | Record Format | Record Body Byte | 0 1 2 3 | 0 1 2 3 .... -------------------------------------------- Contents | 1e | 04 | XX | XX | XX | XX | XX | XX |... -------------------------------------------- | opcode | length | ifmt | cch| rgch | | | | | The first two bytes, arranged with the low byte first, show that the opcode for Format is 0x41e. The second two bytes indicate that the record body is more than 3 bytes long. The first two bytes of the body are format index code .The next one byte of the body is length of the Format string .The last bytes of the body are Number Format string A Format class extends Biff class.

Constructor Summary
`Format(short index, java.lang.String str, java.lang.String encoding)` Constructs a Format record and sets its fields appropriately.

Method Summary
`void` | `input(RandomAccessStream stream)` input Format from input stream
`int` | `opcode()` get the opcode of Format.
`int` | `output(RandomAccessStream stream)` output the record Format.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Format

    public Format(short index,
                  java.lang.String str,
                  java.lang.String encoding)

  Constructs a Format record and sets its fields appropriately.

  Parameters:
    `index` - The format index code
    `str` - The Number Format string

Method Detail

### opcode

    public final int opcode()

  get the opcode of Format.

### output

    public int output(RandomAccessStream stream)
               throws java.io.IOException

  output the record Format.

  Throws:
    `java.io.IOException`

### input

    public void input(RandomAccessStream stream)
               throws java.io.IOException

  input Format from input stream

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD